Merge from trunk

ubuntu/trusty
Michael Terry 11 years ago
commit 1edf737239

79
debian/changelog vendored

@ -1,3 +1,82 @@
livecd-rootfs (2.184) saucy; urgency=low
* Revert to always using archive-team.internal in 60-install-click.chroot
for now. This is unfortunate, but "hostname --fqdn" doesn't work at
this stage.
-- Colin Watson <cjwatson@ubuntu.com> Fri, 06 Sep 2013 13:21:42 +0100
livecd-rootfs (2.183) saucy; urgency=low
* Make 60-install-click.chroot more verbose, in an attempt to figure out
why this doesn't work in the datacentre.
-- Colin Watson <cjwatson@ubuntu.com> Fri, 06 Sep 2013 11:48:25 +0100
livecd-rootfs (2.182) saucy; urgency=low
* Log the hostname at the start of the build.
* Fix test for whether we're running in the Canonical datacentre when
installing click packages.
-- Colin Watson <cjwatson@ubuntu.com> Thu, 05 Sep 2013 16:03:15 +0100
livecd-rootfs (2.181) saucy; urgency=low
* Use new multiple-database scheme in click 0.4.3 to preinstall click
packages.
* Download core click packages from the right place when building images
outside the Canonical datacentre.
-- Colin Watson <cjwatson@ubuntu.com> Thu, 05 Sep 2013 11:29:17 +0100
livecd-rootfs (2.180) saucy; urgency=low
* make sure the NM configuration mangling of touch images uses the sudo and
not the admin group, "admin" is dead since years ... (LP: #1217596)
* drop a few superfluous env vars on request of Ted Gould
-- Oliver Grawert <ogra@ubuntu.com> Wed, 28 Aug 2013 16:27:12 +0200
livecd-rootfs (2.179) saucy; urgency=low
* add 70-reconfigure-autopilot.chroot to ubuntu-touch builds, to make sure
the phablet user actually ends up in the autopilot group
-- Oliver Grawert <ogra@ubuntu.com> Tue, 27 Aug 2013 11:23:56 +0200
livecd-rootfs (2.178) saucy; urgency=low
* Copying click packages to install search location instead of installing
for a hardcoded user.
-- Sergio Schvezov <sergio.schvezov@canonical.com> Mon, 26 Aug 2013 17:22:14 -0300
livecd-rootfs (2.177) saucy; urgency=low
* do not forcefully use the admin group on touch images. this group was
dropped in favour of the sudo group several releases ago
-- Oliver Grawert <ogra@ubuntu.com> Mon, 26 Aug 2013 16:51:13 +0200
livecd-rootfs (2.176) saucy; urgency=low
* preserve a symlink of media-info for backwards compatibility
-- Oliver Grawert <ogra@ubuntu.com> Fri, 23 Aug 2013 16:39:31 +0200
livecd-rootfs (2.175) saucy; urgency=low
* move media-info file from /var/log/installer to /etc on touch images.
-- Oliver Grawert <ogra@ubuntu.com> Fri, 23 Aug 2013 16:25:08 +0200
livecd-rootfs (2.174) saucy; urgency=low
* make sure the bluetooth group has the right android GID on touch builds
-- Oliver Grawert <ogra@ubuntu.com> Fri, 16 Aug 2013 13:25:52 +0200
livecd-rootfs (2.173) saucy; urgency=low
[Michael Terry]

@ -237,9 +237,9 @@ deb file:/var/lib/preinstalled-pool/ $LB_DISTRIBUTION $LB_PARENT_ARCHIVE_AREAS
fi
if [ "$PROJECT" = "ubuntu-touch" ] && [ "$ARCH" = "armhf" ]; then
INFO_DESC="$(lsb_release -d -s)"
echo "$INFO_DESC - $ARCH ($BUILDSTAMP)" >chroot/etc/media-info
mkdir -p chroot/var/log/installer
echo "$INFO_DESC - $ARCH ($BUILDSTAMP)" >chroot/var/log/installer/media-info
Chroot chroot "ln -s /etc/media-info /var/log/installer/media-info"
fi
echo "===== Checking size of /usr/share/doc ====="

@ -3,6 +3,8 @@ set -e
rm -rf config
echo "Building on $(hostname --fqdn)"
SEEDMIRROR=http://people.canonical.com/~ubuntu-archive/seeds/
if [ -z "$MIRROR" ]; then
case $(hostname --fqdn) in

@ -2,15 +2,8 @@
USER=phablet
DEFGROUPS="tty,admin,adm,dialout,cdrom,plugdev,audio,dip,video,gps,radio,bluetooth,android_net,android_net2,android_net3,android_graphics,android_input,sdcard_rw"
DEFGROUPS="tty,sudo,adm,dialout,cdrom,plugdev,audio,dip,video,gps,radio,bluetooth,android_net,android_net2,android_net3,android_graphics,android_input,sdcard_rw"
/bin/egrep -i "^admin:" /etc/group
if [ $? -eq 0 ]; then
echo "User admin exists in /etc/group"
else
echo "User admin does not exists in /etc/group must create"
groupadd admin
fi
/bin/egrep -i "^audio:" /etc/group
if [ $? -eq 0 ]; then
# Needed to change group id as audio is already created by ubuntu
@ -36,7 +29,8 @@ else
fi
/bin/egrep -i "^bluetooth:" /etc/group
if [ $? -eq 0 ]; then
echo "User bluetooth exists in /etc/group"
echo "User bluetooth exists in /etc/group changing ID to 1002"
groupmod -g 1002 bluetooth
else
echo "User bluetooth does not exist in /etc/group -- must create"
groupadd -g 1002 bluetooth

@ -1,6 +0,0 @@
#!/bin/bash
echo "Adding admin group policy to NM system service"
sed -i 's/<policy user="root">/<policy group="admin">\n\t\t\t\t<allow send_destination="org.freedesktop.NetworkManager"\/>\n\t\t\t\t<allow send_interface="org.freedesktop.NetworkManager"\/>\n\t\t\t\t<allow send_interface="org.freedesktop.NetworkManager.SecretAgent"\/>\n\t\t<\/policy>\n\t\t<policy user="root">/g' /etc/dbus-1/system.d/org.freedesktop.NetworkManager.conf

@ -0,0 +1,6 @@
#!/bin/bash
echo "Adding admin group policy to NM system service"
sed -i 's/<policy user="root">/<policy group="sudo">\n\t\t\t\t<allow send_destination="org.freedesktop.NetworkManager"\/>\n\t\t\t\t<allow send_interface="org.freedesktop.NetworkManager"\/>\n\t\t\t\t<allow send_interface="org.freedesktop.NetworkManager.SecretAgent"\/>\n\t\t<\/policy>\n\t\t<policy user="root">/g' /etc/dbus-1/system.d/org.freedesktop.NetworkManager.conf

@ -23,6 +23,4 @@ ANDROID_ROOT=/system
EXTERNAL_STORAGE=/mnt/sdcard
LANG=en_US.UTF-8
LANGUAGE=en_US:en
QT_IM_MODULE=maliitphablet
HUD_NO_STORE_USAGE_DATA=1
INDICATOR_ALLOW_NO_WATCHERS=1" > /etc/environment
QT_IM_MODULE=maliitphablet" > /etc/environment

@ -6,11 +6,20 @@ echo "Setting up click packages"
click_uri=http://archive-team.internal/click_packages
click_list=$click_uri/click_list
click_db=/usr/share/click/preinstalled
for package in $(wget -qO- "$click_list")
mkdir -p -m 755 "$click_db"
chown clickpkg:clickpkg "$click_db"
tmpdir="$(mktemp -d)"
cleanup () { rm -rf "$tmpdir"; }
trap cleanup EXIT
wget --no-verbose -O "$tmpdir/click_list" "$click_list"
for package in $(cat "$tmpdir/click_list")
do
echo "Setting up $package"
wget --no-verbose -O "$package" "$click_uri"/"$package"
click install --user=phablet --force-missing-framework "$package"
rm "$package"
wget --no-verbose -O "$tmpdir/$package" "$click_uri/$package"
click install --force-missing-framework --root="$click_db" --all-users \
"$tmpdir/$package"
done

@ -0,0 +1,10 @@
#!/bin/sh
# make sure the phablet user is in the autopilot group
# (the user is not available when the package postinst
# adds all users of the sudo group to the autopilot one
# so we re-run the package configuration now
echo "making sure phablet user is in the autopilot group"
dpkg -l python-autopilot >/dev/null 2>&1 && dpkg-reconfigure python-autopilot
Loading…
Cancel
Save